org.apache.cassandra.io.sstable

## Class SSTableMetadata.SSTableMetadataSerializer

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableMetadata.SSTableMetadataSerializer

- Enclosing class:
    SSTableMetadata

      public static class SSTableMetadata.SSTableMetadataSerializer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSTableMetadata.SSTableMetadataSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Pair<SSTableMetadata,java.util.Set<java.lang.Integer>>` | `deserialize(java.io.DataInputStream dis, Descriptor desc)`
    `Pair<SSTableMetadata,java.util.Set<java.lang.Integer>>` | `deserialize(Descriptor descriptor)` deserializes the metadata returns a pair containing the part of the metadata meant to be kept-in memory and the part that should not.
    `void` | `serialize(SSTableMetadata sstableStats, java.util.Set<java.lang.Integer> ancestors, java.io.DataOutput dos)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSTableMetadata.SSTableMetadataSerializer

          public SSTableMetadata.SSTableMetadataSerializer()

  - ### Method Detail

    - #### serialize

          public void serialize(SSTableMetadata sstableStats,
                       java.util.Set<java.lang.Integer> ancestors,
                       java.io.DataOutput dos)
                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### deserialize

          public Pair<SSTableMetadata,java.util.Set<java.lang.Integer>> deserialize(Descriptor descriptor)
                                                                             throws java.io.IOException

      deserializes the metadata returns a pair containing the part of the metadata meant to be kept-in memory and the part that should not.
      Parameters:
        `descriptor` - the descriptor
      Returns:
        a pair containing data that needs to be in memory and data that is potentially big and is not needed in memory
      Throws:
        `java.io.IOException`

    - #### deserialize

          public Pair<SSTableMetadata,java.util.Set<java.lang.Integer>> deserialize(java.io.DataInputStream dis,
                                                                           Descriptor desc)
                                                                             throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2014 The Apache Software Foundation